
/* Do-File reporting results of 

Bussmann, Margit & Gerald Schneider. "A Porous Humanitarian Shield: The Laws of War, the Red Cross, and the Killing of Civilians, 
Review of International Organization (forthcoming)

*/


use "BussmannSchneider ROIO.dta", clear
xtset ccode year


*Results reporting analyses in main manuscript

*Table 1
xtreg lgovt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep gciiv1949yrs, fe robust
outreg2 using ROIO_Table1, bdec(4) word replace

xtreg lreb_os_best lpop  lrgdpch  civwar  durable polity2 yrsindep gciiv1949yrs, fe robust
outreg2 using ROIO_Table1, bdec(4) word 

xtreg lgovt_os_best lpop  lrgdpch  civwar  durable polity2 yrsindep apii1977yrs, fe robust
outreg2 using ROIO_Table1, bdec(4) word 

xtreg lreb_os_best lpop  lrgdpch  civwar  durable polity2 yrsindep apii1977yrs, fe robust
outreg2 using ROIO_Table1, bdec(4) word


*Table 2
xtreg lgovt_os_best lpop lrgdpch  civwar durable ICRCpresence, fe robust 
outreg2 using ROIO_Table2, bdec(4) word replace

xtreg lreb_os_best lpop lrgdpch  civwar durable ICRCpresence, fe robust 
outreg2 using ROIO_Table2, bdec(4) word

xi: ivreg2 lgovt_os_best lpop lrgdpch civwar durable i.ccode (ICRCpresence = yrsICRCpresence), partial(i.ccode) first robust
outreg2 using ROIO_Table2, bdec(4) word

xi: ivreg2 lreb_os_best lpop lrgdpch civwar durable i.ccode (ICRCpresence = yrsICRCpresence), partial(i.ccode) first robust
outreg2 using ROIO_Table2, bdec(4) word

xtreg lgovt_os_best lpop lrgdpch  civwar durable yrsICRCpresence, fe robust 
outreg2 using ROIO_Table2, bdec(4) word

xtreg lreb_os_best lpop lrgdpch  civwar durable yrsICRCpresence, fe robust 
outreg2 using ROIO_Table2, bdec(4) word


* Table 3
xtreg lgovt_os_best1 lpop lrgdpch  civwar durable ICRCseminars if ICRCpresence==1, fe robust
outreg2 using RIOI_Table3, bdec(4) word replace

xtreg lreb_os_best1 lpop lrgdpch  civwar durable ICRCseminars  if ICRCpresence==1, fe robust
outreg2 using ROIO_Table3, bdec(4) word

xtreg lgovt_os_best1 lpop lrgdpch  civwar durable condemn  if ICRCpresence==1, fe robust
outreg2 using ROIO_Table3, bdec(4) word

xtreg lreb_os_best1 lpop lrgdpch  civwar durable condemn  if ICRCpresence==1, fe robust
outreg2 using ROIO_Table3, bdec(4) word




*TESTS OF CASE STUDIES, TABLE  4

use "bosnia weekly.dta", clear
tset stataweek
var log_t ikrk , lags(1/2)
vargranger


clear

use "darfour.dta", clear
var log_t ikrk , lags(1/2)
vargranger



*TESTS OF ROBUSTNESS REPORTED IN WEB APPENDIX
use "BussmannSchneider ROIO.dta", clear
xtset ccode year


xtreg lgovt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep gciiv1949, fe robust
outreg2 using ROIO_TableA1, bdec(4) word replace
xtreg lreb_os_best lpop  lrgdpch  civwar  durable polity2 yrsindep gciiv1949, fe robust
outreg2 using ROIO_TableA1, bdec(4) word 
xtreg lgovt_os_best lpop  lrgdpch  civwar  durable polity2 yrsindep apii1977, fe robust
outreg2 using ROIO_TableA1, bdec(4) word 
xtreg lreb_os_best lpop  lrgdpch  civwar  durable polity2 yrsindep apii1977, fe  robust
outreg2 using ROIO_TableA1, bdec(4) word  


xtreg lgovt_os_best lreb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep gciiv1949yrs, fe robust
outreg2 using ROIO_TableA2, bdec(4) word replace
xtreg lreb_os_best lgovt_os_best lpop  lrgdpch  civwar  durable polity2 yrsindep gciiv1949yrs, fe robust
outreg2 using ROIO_TableA2, bdec(4) word
xtreg lgovt_os_best lreb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep apii1977yrs, fe robust
outreg2 using ROIO_TableA2, bdec(4) word 
xtreg lreb_os_best lgovt_os_best lpop  lrgdpch  civwar  durable polity2 yrsindep apii1977yrs, fe robust
outreg2 using ROIO_TableA2, bdec(4) word


xtreg lgovt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep avmdiala gciiv1949yrs, fe robust
outreg2 using ROIO_TableA3, bdec(4) word replace
xtreg lgovt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep aibrlag gciiv1949yrs, fe robust
outreg2 using ROIO_TableA3, bdec(4) word 
xtreg lgovt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep  ainrlag gciiv1949yrs, fe robust
outreg2 using ROIO_TableA3, bdec(4) word 

xtreg lreb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep avmdiala gciiv1949yrs, fe robust
outreg2 using ROIO_TableA3, bdec(4) word 
xtreg lreb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep aibrlag gciiv1949yrs, fe robust
outreg2 using ROIO_TableA3, bdec(4) word 
xtreg lreb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep  ainrlag gciiv1949yrs, fe robust
outreg2 using ROIO_TableA3, bdec(4) word 

xtreg lgovt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep avmdiala apii1977yrs, fe robust
outreg2 using ROIO_TableA4, bdec(4) word replace
xtreg lgovt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep aibrlag apii1977yrs, fe robust
outreg2 using ROIO_TableA4, bdec(4) word
xtreg lgovt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep  ainrlag apii1977yrs, fe robust
outreg2 using ROIO_TableA4, bdec(4) word

xtreg lreb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep avmdiala apii1977yrs, fe robust
outreg2 using ROIO_TableA4, bdec(4) word
xtreg lreb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep aibrlag apii1977yrs, fe robust
outreg2 using ROIO_TableA4, bdec(4) word
xtreg lreb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep  ainrlag apii1977yrs, fe robust
outreg2 using ROIO_TableA4, bdec(4) word


xtreg lgovt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep gciiv1949yrs i.year, fe robust
outreg2 using ROIO_TableA5, bdec(4) word replace
xtreg lreb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep gciiv1949yrs i.year, fe robust
outreg2 using ROIO_TableA5, bdec(4) word 
xtreg lgovt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep apii1977yrs i.year, fe robust
outreg2 using ROIO_TableA5, bdec(4) word 
xtreg lreb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep  apii1977yrs i.year, fe robust
outreg2 using ROIO_TableA5, bdec(4) word 


xtnbreg govt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep gciiv1949yrs
outreg2 using ROIO_TableA6, bdec(4) word replace
xtnbreg reb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep gciiv1949yrs
outreg2 using ROIO_TableA6, bdec(4) word 
xtnbreg govt_os_best lpop lrgdpch  civwar  durable polity2 yrsindep apii1977yrs
outreg2 using ROIO_TableA6, bdec(4) word 
xtnbreg reb_os_best lpop lrgdpch  civwar  durable polity2 yrsindep  apii1977yrs
outreg2 using ROIO_TableA6, bdec(4) word 


xtreg lgovt_os_best lpop lrgdpch  civwar durable L.govt_os_best ICRCpresence, fe robust 
outreg2 using ROIO_TableA7, bdec(4) word replace
xtreg lgovt_os_best lpop lrgdpch  civwar durable reb_os_best ICRCpresence, fe robust 
outreg2 using ROIO_TableA7, bdec(4) word
xtreg lgovt_os_best lpop lrgdpch  civwar polity2 ICRCpresence, fe robust 
outreg2 using ROIO_TableA7, bdec(4) word
xtreg lgovt_os_best lpop lrgdpch  civwar collaps ICRCpresence, fe robust
outreg2 using ROIO_TableA7, bdec(4) word
xtreg lgovt_os_best lpop lrgdpch  civwar durable yrsindep ICRCpresence, fe robust 
outreg2 using ROIO_TableA7, bdec(4) word


xtreg lreb_os_best lpop lrgdpch  civwar durable L.reb_os_best ICRCpresence, fe robust 
outreg2 using ROIO_TableA8, bdec(4) word replace
xtreg lreb_os_best lpop lrgdpch  civwar durable govt_os_best ICRCpresence, fe robust 
outreg2 using ROIO_TableA8, bdec(4) word
xtreg lreb_os_best lpop lrgdpch  civwar polity2 ICRCpresence, fe robust 
outreg2 using ROIO_TableA8, bdec(4) word
xtreg lreb_os_best lpop lrgdpch  civwar collaps ICRCpresence, fe robust
outreg2 using ROIO_TableA8, bdec(4) word
xtreg lreb_os_best lpop lrgdpch  civwar durable yrsindep ICRCpresence, fe robust 
outreg2 using ROIO_TableA8, bdec(4) word


xi: ivreg2 lgovt_os_best lpop lrgdpch warduration durable i.ccode (ICRCpresence = yrsICRCpresence), partial(i.ccode) first robust
outreg2 using ROIO_TableA10, bdec(4) word replace
xi: ivreg2 lgovt_os_best lpop lrgdpch civwar durable i.ccode (ICRCpresence =  yrsindep), partial(i.ccode) first robust
outreg2 using ROIO_TableA10, bdec(4) word
xi: ivreg2 lgovt_os_best lpop lrgdpch civwar durable (ICRCpresence = commonlaw), first robust
outreg2 using ROIO_TableA10, bdec(4) word
xi: ivreg2 lgovt_os_best lpop lrgdpch civwar durable i.ccode (ICRCpresence = prieIKRKpresencedum), partial(i.ccode) first robust
outreg2 using ROIO_TableA10, bdec(4) word
xi: ivreg2 lgovt_os_best lpop lrgdpch civwar durable i.ccode (ICRCpresence = countriesICRCpresent), partial(i.ccode) first robust
outreg2 using ROIO_TableA10, bdec(4) word



xi: ivreg2 lreb_os_best lpop lrgdpch warduration durable i.ccode (ICRCpresence = yrsICRCpresence), partial(i.ccode) first robust
outreg2 using ROIO_TableA11, bdec(4) word replace
xi: ivreg2 lreb_os_best lpop lrgdpch civwar durable i.ccode (ICRCpresence = yrsindep), partial(i.ccode) first robust
outreg2 using ROIO_TableA11, bdec(4) word
xi: ivreg2 lreb_os_best lpop lrgdpch civwar durable (ICRCpresence = commonlaw), first robust
outreg2 using ROIO_TableA11, bdec(4) word
xi: ivreg2 lreb_os_best lpop lrgdpch civwar durable i.ccode (ICRCpresence = prieIKRKpresencedum), partial(i.ccode) first robust
outreg2 using ROIO_TableA11, bdec(4) word
xi: ivreg2 lreb_os_best lpop lrgdpch civwar durable i.ccode (ICRCpresence = countriesICRCpresent), partial(i.ccode) first robust
outreg2 using ROIO_TableA11, bdec(4) word





